#include <iostream>
#include <math.h>
using namespace std;
int main()
{

    int T;
    cin>>T;
    int a[T], v[T], n[T], max=0,i, d=0;
    for(i=0; i<T; i++)
        cin>>a[i]>>v[i]>>n[i];
        max=n[0];
        for(i=1; i<T; i++)
            if(max<n[i])
            max=n[i];
    int b[max], br=0, k=0, j, p=0;
    for(i=0; i<T; i++){
    b[0]=a[i];
    for(j=0; j<n[i]; j++){
           do{
            d=(b[j]%pow(10,k+1))/pow(10,k);
           if(d==v[i])
            br++;
           k++;
           p+=d;
           }while(b[i]/pow(10, k)!=0);
           b[j+1]=pow(p,2);
           p=0;

    }
    }
    cout<<br;

}
